DatanodeDescriptor.CachedBlocksList (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.blockmanagement, class: DatanodeDescriptor, class: CachedBlocksList

Package org.apache.hadoop.hdfs.server.blockmanagement

# Class DatanodeDescriptor.CachedBlocksList

java.lang.Object
org.apache.hadoop.util.IntrusiveCollection<CachedBlock>
org.apache.hadoop.hdfs.server.blockmanagement.DatanodeDescriptor.CachedBlocksList

All Implemented Interfaces:
  `Iterable<CachedBlock>`, `Collection<CachedBlock>`

Enclosing class:
  DatanodeDescriptor

public static class DatanodeDescriptor.CachedBlocksList extends org.apache.hadoop.util.IntrusiveCollection<CachedBlock>
A list of CachedBlock objects on this datanode.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DatanodeDescriptor.CachedBlocksList.Type`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.util.IntrusiveCollection

  `org.apache.hadoop.util.IntrusiveCollection.Element, org.apache.hadoop.util.IntrusiveCollection.IntrusiveIterator`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.util.IntrusiveCollection

  `LOG`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatanodeDescriptor`
  `getDatanode()`
  `DatanodeDescriptor.CachedBlocksList.Type`
  `getType()`

  ### Methods inherited from class org.apache.hadoop.util.IntrusiveCollection

  `add, addAll, addFirst, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Method Details

  - ### getDatanode

    public DatanodeDescriptor getDatanode()

  - ### getType

    public DatanodeDescriptor.CachedBlocksList.Type getType()